Kerbal Space Program - Bug #9624

RoveMax Model M1 collision issues
04/30/2016 02:02 PM - momocat23

Status: Closed Start date: 04/30/2016
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version: 1.1.2

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Simple rovers don't work in 1.1.2 anymore. They collide straight into ground.

http://imgur.com/a/KKSF5

Test craft file attached

Also my 1.1.1 rover explodes as soon as | switch to it, because of same issue.

History

#1 - 04/30/2016 03:54 PM - smjjames

- Status changed from New to Need More Info

- Severity changed from Critical to Low

The critical priority is for absolutely gamebreaking, check the wiki for guidelines on priority.
I'm not reproducing it, are you using any mods?

And could you provide reproduction steps?

Also, you really need to have a control point in front in order for the steering to work right.

#2 - 04/30/2016 08:30 PM - momocat23

smjjames wrote:

The critical priority is for absolutely gamebreaking, check the wiki for guidelines on priority.

I'm not reproducing it, are you using any mods?

And could you provide reproduction steps?

Also, you really need to have a control point in front in order for the steering to work right.

So..I checked the problem again.

1) | cannot reproduce the issue with a fresh 1.1.2 steam version of the game. Good.
2) | cannot reproduce with the version from the store. 1.1.2.1260 My 1.1.1. save loads fine.
3) | had problems with teh version which the patcher created 1.1.2.1250.

So that indicates, that the patcher does not patch 1.1.1 to 1.1.2.1260, but it patches to 1.1.2.1250. That's a different build.

Sorry for using the patcher, and having such a bad experience. Should | open a new issue regarding the patcher?

#3 - 04/30/2016 08:33 PM - momocat23
- Status changed from Need More Info to Updated
- Target version setto 1.1.2

- % Done changed from 0 to 10
http://imgur.com/a/KKSF5

The problem was caused by using the patcher from 1.1.1 to 1.1.2. It upgraded to build 1.1.2.1250 instead of 1.1.2.1260 which comes from the store.

No problems anymore.

#4 - 07/18/2016 10:38 AM - TriggerAu
- Status changed from Updated to Closed
- % Done changed from 10 to 100

closing out as part of the cleanup
test.craft 40.4 KB
